org.vishia.simSelector

## Class SimSelector

- java.lang.Object
- - org.vishia.simSelector.SimSelector

-     public class SimSelector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionCleanOut`
    `(package private) GralUserAction` | `actionGenSim`
    `(package private) GralUserAction` | `actionGenTestcases`
    `(package private) GralUserAction` | `actionReadConfig`
    `(package private) GralButton` | `btnCleanOut`
    `(package private) GralButton` | `btnGenSim`
    `(package private) GralButton` | `btnGenTestcase`
    `(package private) GralButton` | `btnReadConfig`
    `(package private) java.io.PrintStream` | `errNew`
    `(package private) java.io.PrintStream` | `errOld`
    `(package private) JZtxtcmdExecuter` | `executer`
    `(package private) java.io.File` | `fileConfig`
    `(package private) GralMng` | `gralMng`
    `(package private) GralGraphicTimeOrder` | `initGraphic`
    `(package private) boolean` | `isTableInitialized`
    `(package private) java.io.PrintStream` | `outNew`
    `(package private) java.io.PrintStream` | `outOld`
    `(package private) GralTextBox` | `output`
    `(package private) GralTextField` | `wdgSelects`
    `(package private) GralTable<java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>>>[]` | `wdgTables`
    `(package private) GralWindow` | `window`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimSelector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `genStimuli()`
    `(package private) void` | `genTestcases()`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `openWindow()`
    `private void` | `openWindow1()`
    `(package private) void` | `readConfig()`
    `void` | `waitForClosePrimaryWindow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gralMng

          GralMng gralMng

    - #### window

          GralWindow window

    - #### wdgTables

          GralTable<java.util.Map<java.lang.String,DataAccess.Variable<java.lang.Object>>>[] wdgTables

    - #### btnReadConfig

          GralButton btnReadConfig

    - #### btnGenSim

          GralButton btnGenSim

    - #### btnCleanOut

          GralButton btnCleanOut

    - #### btnGenTestcase

          GralButton btnGenTestcase

    - #### wdgSelects

          GralTextField wdgSelects

    - #### output

          GralTextBox output

    - #### executer

          JZtxtcmdExecuter executer

    - #### isTableInitialized

          boolean isTableInitialized

    - #### fileConfig

          java.io.File fileConfig

    - #### outOld

          java.io.PrintStream outOld

    - #### errOld

          java.io.PrintStream errOld

    - #### outNew

          java.io.PrintStream outNew

    - #### errNew

          java.io.PrintStream errNew

    - #### actionReadConfig

          GralUserAction actionReadConfig

    - #### actionGenSim

          GralUserAction actionGenSim

    - #### actionGenTestcases

          GralUserAction actionGenTestcases

    - #### actionCleanOut

          GralUserAction actionCleanOut

    - #### initGraphic

          GralGraphicTimeOrder initGraphic

  - ### Constructor Detail

    - #### SimSelector

          SimSelector()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### openWindow

          public static void openWindow()

    - #### waitForClosePrimaryWindow

          public void waitForClosePrimaryWindow()

    - #### readConfig

          void readConfig()

    - #### genStimuli

          void genStimuli()

    - #### genTestcases

          void genTestcases()

    - #### openWindow1

          private void openWindow1()